Texa DeskDevelopers

Texa Desk Application API · Reports

Get inbox-label matrix report

GET/api/v2/accounts/{account_id}/reports/inbox_label_matrix

Get a matrix showing the count of conversations for each inbox-label combination. Returns a list of inboxes, labels, and a 2D matrix where each cell contains the count of conversations in a specific inbox that have a specific label applied.

Note: This API endpoint is available only in Texa Desk version 4.11.0 and above.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

sincestring

The timestamp from where report should start (Unix timestamp).

untilstring

The timestamp from where report should stop (Unix timestamp).

inbox_idsarray of integer

Filter by specific inbox IDs.

label_idsarray of integer

Filter by specific label IDs.

Responses

200

Success

inboxesarray of object

List of inboxes included in the report

inboxes[].idnumber

The inbox ID

inboxes[].namestring

The inbox name

labelsarray of object

List of labels included in the report

labels[].idnumber

The label ID

labels[].titlestring

The label title

matrixarray of array of number

2D array where matrix[i][j] represents the count of conversations in inboxes[i] with labels[j]

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring